# Class CIM_UnixLocalFileSystem
extends CIM_LocalFileSystem

A class derived from LocalFileSystem that represents the Unix environment view of a file store controlled by a ComputerSystem through local means (e.g., direct device driver access). In this case, the file store is managed directly by the ComputerSystem without the need for another computer to act as a file server. This definition does not breakdown in the case of a Clustered File System. In this scenario, the FileSystem is a LocalFileSystem, weak to the Cluster.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_FileSystem
|
+--CIM_LocalFileSystem
|
+--CIM_UnixLocalFileSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class derived from LocalFileSystem that represents the Unix environment view of a file store controlled by a ComputerSystem through local means (e.g., direct device driver access). In this case, the file store is managed directly by the ComputerSystem without the need for another computer to act as a file server. This definition does not breakdown in the case of a Clustered File System. In this scenario, the FileSystem is a LocalFileSystem, weak to the Cluster.

UMLPackagePath | string | CIM::System::Unix
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FreeInodes | uint64 |
Description | string | The number of free inodes present in the file system. This value is only valid if TotalSlots is non-zero.
MappingStrings | string | MIF.DMTF|Host File System|001.12
ModelCorrespondence | string | CIM_UnixLocalFileSystem.TotalInodes
FSReservedCapacity | uint64 |
Description | string | The reserve data capacity of the file system in bytes.
MappingStrings | string | MIF.DMTF|Host File System|001.15
PUnit | string | byte
Units | string | Bytes
TotalInodes | uint64 |
Description | string | The total number of inodes available in the file system. A value of zero for TotalInodes indicates that this file system does not have a preset limit.
MappingStrings | string | MIF.DMTF|Host File System|001.11

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AvailableSpace | uint64 | CIM_FileSystem
BlockSize | uint64 | CIM_FileSystem
Caption | string | CIM_ManagedElement
CasePreserved | boolean | CIM_FileSystem
CaseSensitive | boolean | CIM_FileSystem
ClusterSize | uint32 | CIM_FileSystem
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_FileSystem
CreationClassName | string | CIM_FileSystem
CSCreationClassName | string | CIM_FileSystem
CSName | string | CIM_FileSystem
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
EncryptionMethod | string | CIM_FileSystem
FileSystemSize | uint64 | CIM_FileSystem
FileSystemType | string | CIM_FileSystem
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MaxFileNameLength | uint32 | CIM_FileSystem
Name | string | CIM_FileSystem
NumberOfFiles | uint64 | CIM_FileSystem
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherPersistenceType | string | CIM_FileSystem
PersistenceType | uint16 | CIM_FileSystem
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ReadOnly | boolean | CIM_FileSystem
RequestedState | uint16 | CIM_EnabledLogicalElement
Root | string | CIM_FileSystem
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
CodeSet | uint16[] | CIM_FileSystem
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement